AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

Cache instance options

### Hierarchy

- CacheConfig

## Index

### Properties

- Cache
- capacityInBytes
- defaultPriority
- defaultTTL
- itemMaxSize
- keyPrefix
- storage
- warningThreshold

## Properties

### Optional Cache

Cache: Cache

- Defined in cache/src/types/Cache.ts:67

### Optional capacityInBytes

capacityInBytes: number

- Defined in cache/src/types/Cache.ts:51

Cache capacity, in bytes

### Optional defaultPriority

defaultPriority: number

- Defined in cache/src/types/Cache.ts:63

default priority number put on cached items

### Optional defaultTTL

defaultTTL: number

- Defined in cache/src/types/Cache.ts:57

Time to live, in milliseconds

### Optional itemMaxSize

itemMaxSize: number

- Defined in cache/src/types/Cache.ts:54

Max size of one item

### Optional keyPrefix

keyPrefix: string

- Defined in cache/src/types/Cache.ts:48

Prepend to key to avoid conflicts

### Optional storage

storage: Storage

- Defined in cache/src/types/Cache.ts:65

### Optional warningThreshold

warningThreshold: number

- Defined in cache/src/types/Cache.ts:60

Warn when over threshold percentage of capacity, maximum 1